svn commit: r269677 - user/gjb/thermite

Glen Barber gjb at FreeBSD.org
Thu Aug 7 17:19:10 UTC 2014


Author: gjb
Date: Thu Aug  7 17:19:10 2014
New Revision: 269677
URL: http://svnweb.freebsd.org/changeset/base/269677

Log:
  Syncronize local changes to thermite.sh:
  
   - In build_release(), use source_config() instead of
     continuing if the configuration file exists to prevent
     erroneous output from printenv(1).
  
   - In truncate_logs(), only create the log file if there is
     a corresponding configuration file for the build, otherwise
     log files that will never be used are created (such as
     11-amd64-GENERIC64-snap.log).
  
  Sponsored by:	The FreeBSD Foundation

Modified:
  user/gjb/thermite/thermite.sh

Modified: user/gjb/thermite/thermite.sh
==============================================================================
--- user/gjb/thermite/thermite.sh	Thu Aug  7 17:05:25 2014	(r269676)
+++ user/gjb/thermite/thermite.sh	Thu Aug  7 17:19:10 2014	(r269677)
@@ -118,6 +118,7 @@ check_use_zfs() {
 }
 
 truncate_logs() {
+	source_config || return 0
 	echo > ${logdir}/${rev}-${arch}-${kernel}-${type}.log
 	return 0
 }
@@ -241,7 +242,7 @@ send_logmail() {
 build_release() {
 	_build="${rev}-${arch}-${kernel}-${type}"
 	_conf="${scriptdir}/${_build}.conf"
-	[ ! -e ${_conf} ] && return 0
+	source_config || return 0
 	info "Building release: ${_build}"
 	printenv >> ${logdir}/${_build}.log
 	env -i /bin/sh ${srcdir}/release.sh -c ${_conf} \


More information about the svn-src-user mailing list